Bug 1010034 - Readonly Users can't see CV Definition details
Readonly Users can't see CV Definition details
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Tazim Kolhar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 14:32 EDT by Partha Aji
Modified: 2016-04-25 20:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:06:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2013-09-19 14:32:01 EDT
Description of problem:
User with only Read access on a Content View Definition cannot read information about content/filters/rules of a definition. 

Version-Release number of selected component (if applicable):
Nightly

How reproducible: always


Steps to Reproduce:
1. Create a user with "Read Everything" role
2. Login as that user
3. Go to a content view definition and try to access the content/filters/rules information

Actual results:

Content page is empty, filter page is non clickable, rules page is unaccessible


Expected results:

Readable but not changeable version of the information pertaining to CVDs.
Comment 2 Brad Buckingham 2013-09-24 15:41:02 EDT
katello pull request: 

https://github.com/Katello/katello/pull/3014
Comment 5 Mike McCune 2013-10-17 17:05:36 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 6 Tazim Kolhar 2014-04-28 01:44:41 EDT
VERIFIED
Comment 7 Bryan Kearney 2014-07-02 10:06:31 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.